> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/filter-and-select-fields.md).

# Filter and select fields

This chapter will teach you how to select and filter out data from our API, which is useful when you want to request specific data and can omit the rest for faster response time. You can filter out data for various parameters per endpoint. See our **endpoint overviews** for more detailed information.&#x20;

{% hint style="info" %}
The next three sections are the same as our [request options section](/v3/api/request-options.md). You can skip this if you've already read it.
{% endhint %}

{% content-ref url="/pages/Xxrws6kugi3UtJ8ZiPrU" %}
[Selecting fields](/v3/tutorials-and-guides/tutorials/filter-and-select-fields/selecting-fields.md)
{% endcontent-ref %}

{% content-ref url="/pages/XhTQVBILLc6E4xkQ9qSK" %}
[Filtering](/v3/tutorials-and-guides/tutorials/filter-and-select-fields/filtering.md)
{% endcontent-ref %}

{% content-ref url="/pages/7u0fDSFlcBq8QZ7W1Py9" %}
[Selecting and filtering](/v3/tutorials-and-guides/tutorials/filter-and-select-fields/selecting-and-filtering.md)
{% endcontent-ref %}

### See also

#### Prerequisites

* [API Structure & Navigation](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/api-structure-and-navigation) - Understand query parameters
* [Making Your First Request](https://docs.sportmonks.com/v3/welcome/making-your-first-request) - Basic API usage

#### Common filtering use cases

* [Fixtures Tutorial](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/livescores-and-fixtures/fixtures) - Filter by league, team, date range
* [Livescores](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/livescores-and-fixtures/livescores) - Filter by specific leagues
* [Statistics](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/statistics) - Filter by statistic type
* [Season Schedule](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/season-schedule) - Filter by rounds or stages

#### Optimisation

* [Rate Limiting](https://docs.sportmonks.com/v3/api/rate-limit) - Filtering reduces API calls
* [Pagination](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/introduction/pagination) - Combine with filtering
* [Best Practices](https://docs.sportmonks.com/v3/welcome/best-practices) - Efficient data retrieval

#### Advanced techniques

* [Includes Tutorial](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/includes) - Combine filtering with includes
* [Types Reference](https://docs.sportmonks.com/v3/definitions/types) - Filter by type IDs
* [States Reference](https://docs.sportmonks.com/v3/definitions/states) - Filter by fixture states

#### API reference

* [Request Options](https://docs.sportmonks.com/v3/api/request-options) - Complete filtering documentation


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/filter-and-select-fields.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
